package com.atlassian.confluence.extra.workflow;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 3/05/2005
 * Time: 17:08:04
 * To change this template use File | Settings | File Templates.
 */
public interface WorkflowClient
{
    State getState();
    void setState(State state);
    WorkflowType getType();
    void setValue(String key, String value);
    String getValue(String key);
    void unsetValue(String key);
}
